#form {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    
    width: 100vw;
    min-height: 100vh;
    padding: 6rem var(--default-padding-horizontal);
    padding-top: 12rem;
    gap: min(6rem, var(--default-padding-horizontal));
}

#form > .container {
    gap: 2rem;
}

#form > .container > .title {
    margin-bottom: auto;
}

#form > .container:has(row[data-form-type="0"]) > .title::after { content: attr(data-title-0); }
#form > .container:has(row[data-form-type="1"]) > .title::after { content: attr(data-title-1); }

#form > .container > .title::after {
    color: rgb(0, 0, 0);
    
    font-weight: 600;
    font-size: 2.5rem;
    
    white-space: nowrap;
    line-height: 2.5rem;
    letter-spacing: calc(2.5rem * var(--default-letter-spacing) / 2);
}

#form > .container:has(row[data-form-type="0"]) > .title::before { content: attr(data-subtitle-0); }
#form > .container:has(row[data-form-type="1"]) > .title::before { content: attr(data-subtitle-1); }

#form > .container > .title::before {
    color: rgb(0, 0, 0);
    
    font-weight: 400;
    font-size: 1rem;
    
    white-space: nowrap;
    line-height: 2.5rem;
    letter-spacing: calc(1rem * var(--default-letter-spacing) / 2);
}

#form > .container > .form-selector {
    background-color: rgb(250, 250, 250);
    width: 100%;
    padding: 0.5rem;
}

#form > .container > .form-selector > button {
    color: rgba(0, 0, 0, 0.5);
    background-color: rgba(255, 255, 255, 0);
    border-radius: 0.5rem;
    
    font-weight: 500;
    font-size: 0.875rem;
    
    line-height: 0;
    letter-spacing: calc(0.75rem * var(--default-letter-spacing));
    
    flex-shrink: 1;
    flex-grow: 0;
    
    width: 100%;
    padding: calc(1.75rem - 0.5rem / 2 + 2px) 0;
    
    transition: color var(--default-transition), background-color var(--default-transition);
}

#form > .container > .form-selector > button:hover {
    color: rgba(0, 0, 0, 1);
}

#form > .container:has(row[data-form-type="0"]) > .form-selector > button:nth-child(1),
#form > .container:has(row[data-form-type="1"]) > .form-selector > button:nth-child(2) {
    color: rgba(0, 0, 0, 1);
    background-color: rgba(255, 255, 255, 1);
}

#form > .container > .field,
#form > .container > .actions {
    width: 100%;
    gap: 0.5rem;
}

#form > .container > .field > p,
#form > .container > .field > input,
#form > .container > .actions > a,
#form > .container > .actions > button::before {
    color: rgb(0, 0, 0);

    font-size: 0.875rem;
    
    white-space: nowrap;
    letter-spacing: calc(0.875rem * var(--default-letter-spacing) / 2);
}

#form > .container > .field > p {
    opacity: 0.5;
    font-weight: 500;
    line-height: 0.875rem;
    transition: opacity var(--default-transition);
}

#form > .container > .field > input {
    border: 1px solid rgb(240, 240, 240);
    
    font-weight: 400;
    line-height: 0rem;
    
    width: 100%;
    padding: 1.75rem;
    
    transition: border-color var(--default-transition);
}

#form > .container > .field > input:hover,
#form > .container > .field > input:focus-within {
    border-color: rgb(192, 192, 192);
}

#form > .container > .field:has(button) {
    position: relative;
}

#form > .container > .field > button {
    position: absolute;
    border-radius: 1rem;
    
    background-color: transparent;
    
    right: 0;
    bottom: 0;
    
    width: 76px;
    height: 76px;
    padding: 1.5rem;
}

#form > .container > .field > button::after {
    content: "";
    display: block;
    
    background-image: url("../icons/password-hidden.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;

    opacity: 0.1;
    width: 100%;
    height: 100%;
    transition: opacity var(--default-transition);
}

#form > .container > .field:has(input:placeholder-shown) > button {
    display: none;
}

#form > .container > .field:has(input[type="text"]) > button::after {
    background-image: url("../icons/password-shown.svg");
}

#form > .container > .field > button:hover::after {
    opacity: 0.25;
}

#form > .container > .actions {
    margin-top: auto;
}

#form > .container:has(row[data-form-type="1"]) > .actions > a {
    opacity: 0;
    pointer-events: none;
}

#form > .container > .actions > a {
    opacity: 0.5;
    font-weight: 500;
    transition: opacity var(--default-transition);
}

#form > .container > .actions > a:hover {
    opacity: 0.15;
}

#form > .container > .actions > button {
    background-color: rgb(0, 0, 0);
    
    width: 100%;
    padding: 1.75rem;
}

#form > .container:has(row[data-form-type="0"]) > .actions > button::before { content: attr(data-text-0); }
#form > .container:has(row[data-form-type="1"]) > .actions > button::before { content: attr(data-text-1); }

#form > .container > .actions > button::before {
    color: rgb(255, 255, 255);
    font-weight: 500;
    transition: opacity var(--default-transition);
}

#form > .container > .actions > button:hover::before {
    opacity: 0.75;
}

#form > #value {
    justify-content: center;
    align-items: center;
    
    position: relative;
    overflow: hidden;
    
    background-color: rgb(128, 128, 128);
    border-radius: 0.875rem;
    
    flex-shrink: 1;
    flex-grow: 0;
    
    width: 100%;
    gap: 1rem;
}

#value,
#form > .container {
    flex-shrink: 1;
    flex-grow: 0;
    
    width: 100%;
}

#value,
#form > .container > .form-selector,
#form > .container > .field > input,
#form > .container > .actions > button {
    border-radius: 1rem;
}

#value > .baked-blob {
    position: absolute;
    
    top: 0;
    left: 50%;
    
    width: 125%;
    height: 100%;
    
    transform: translateX(-50%);
    
    z-index: 0;
}

#value > h2,
#value > h3 {
    color: rgb(255, 255, 255);
    z-index: 1;
}

#value > h2 {
    font-weight: 600;
    font-size: 4rem;
    
    white-space: nowrap;
    line-height: 3rem;
    letter-spacing: calc(4rem * var(--default-letter-spacing));
}

#value > h3 {
    opacity: 0.75;
    
    font-weight: 500;
    font-size: 1rem;
    
    letter-spacing: calc(1rem * var(--default-letter-spacing) / 2);
    
    height: 1rem;
}

@media (max-width: 1024px) {
    #form {
        min-height: calc(100vh - 6rem);
        padding-top: calc(6rem + min(6rem, var(--default-padding-horizontal)));
        padding-bottom: min(6rem, var(--default-padding-horizontal));
    }
    
    #form > .container > .field {
        margin: auto 0;
    }
    
    #value {
        display: none;
    }
}